@charset "UTF-8";

.go-img-crop {
	margin: 5% auto;
	$prev-rect: 400px;
	$result-rect: 270px;
	@include inline-block;
	max-width: 760px;
	width: 100%;
	background: #fff;
	padding: 4em 0;
	position: relative;
	.go-img-crop-result, .go-img-previous {
		@include inline-block;
		vertical-align: top;
	}
	.go-img-previous {
		position: relative;
		height: $prev-rect;
		width: $prev-rect;
		background: #fff;
		overflow: hidden;
		background-repeat: no-repeat;
		cursor: move;
	}
	.go-img-crop-result {
		font-size: 1rem;
		li {
			display: block;
		}
		p {
			margin: 0;
		}
		li {
			margin-top: 2em;
			&:first-child {
				margin: 0;
			}
			img {
				@include border-radius(50%);
				@include box-shadow(0 0 12px #7E7E7E);
				&.x64 {
					width: 64px;
				}
				&.x128 {
					width: 128px;
				}
				&.x180 {
					width: 180px;
				}
			}
		}
	}
	.go-img-loading {
		position: absolute;
		top: 0;
		left: 0;
		bottom: 0;
		right: 0;
		line-height: 397px;
		background: rgba(255, 255, 255, 1);
		font-size: 2em;
		color: #999;
		border: 1px solid #aaa;
	}
	.thumbBox {
		position: absolute;
		top: 50%;
		left: 50%;
		width: $prev-rect / 2;
		height: $prev-rect / 2;
		margin: -100px 0 0 -100px;
		border: 1px solid rgb(102, 102, 102);
		@include box-sizing(border-box);
		@include box-shadow(0 0 0 1000px rgba(0, 0, 0, 0.5));
		background: none repeat scroll 0% 0% transparent;
	}
	.go-img-tool {
		display: block;
		font-size: 1rem;
		width: 100%;
		margin: 5em 0 2em;
		padding:0 40px 0 0;
		li {
			@include inline-block;
			margin: 0;
			text-align: center;
		}
	}
	.btn-cancel {
		position: absolute;
		right: 1em;
		top: 1em;
	}
	@media (max-width: $prev-rect + $result-rect) {
		.go-img-previous {
			width: 100%;
		}
		.go-img-tool {
			text-align: right;
			margin-right: 2em;
		}
		.go-img-crop-result {
			display: block;
			white-space: nowrap;
			margin-top: 3em;
			text-align: center;
			width: 100%;
			li {
				@include inline-block;
				margin: 0 0 0 2em;
			}
		}
	}
}
